#19 no info in /sys

open
nobody
None
5
2005-04-04
2005-04-04
Anonymous
No

I am trying to run 4.0.2 on a 2.6.11 FC4 kernel. None
of the /sys/class stuff shows up and iscsi-ls draws a
blank.
The drive connections seem to come up ok and I can see
the drives.

Discussion

  • Logged In: NO

    is scsi_transport_iscsi loaded. do a lsmod. Also is the scsi
    sys stuff showing up? Look through
    /sys/class/scsi_host/your-iscsi-host/proc_name to see if a
    host is a iscsi-sfnet host.

     
  • Logged In: NO

    I built the linux-iscsi-4.0.2.1 distro on fedora core 4
    (2.6.11-1.1369_FC4) and used it to connect to the Intel
    reference target
    (IntelLabs-v20-011504) as a test for upgrading my systems to
    core 4. I get
    a failure of the initiator to establish a device entry in
    /dev. The
    "iscsi-ls -l" command reports a lun and a device ...

    *******************************************************************************
    SFNet iSCSI Driver Version ...4:0.2.1(15-Mar-2005)
    *******************************************************************************
    TARGET NAME : iqn.com.intel.abc123
    TARGET ALIAS : <NULL>
    HOST NO : 6
    TARGET ADDRESS : 127.0.0.1:3260,1
    SESSION STATUS : CONNECTION ESTABLISHED AT Wed Jun
    22 11:17:00
    MDT 2005
    SESSION ID : ISID 00023d000001
    TSIH 1
    DEVICE DETAILS:
    ---------------
    LUN NO: 0 : sdb
    Vendor : Intel
    Model : Intel Labs iSCSI
    Rev : 0
    -------------------------------------------------------------------------------

    but there is no /dev/sdb entry!
    Here is an excerpt from /var/log/messages...

    -------------------------------------------------
    Jun 22 11:16:59 demoserver scsi.agent[27394]: Attribute
    /sys/devices/platform/host6/target6:0:0/6:0:0:0/type does
    not exist Jun 22
    11:17:00 demoserver kernel: iscsi-sfnet:host6: Session
    established Jun 22
    11:17:00 demoserver kernel: sdb: asking for cache data
    failed Jun 22
    11:17:00 demoserver kernel: sdb: assuming drive cache: write
    through Jun
    22 11:17:00 demoserver kernel: sdb: unknown partition table
    Jun 22 11:17:00 demoserver kernel: Attached scsi disk sdb at
    scsi6,
    channel 0, id 0, lun 0
    Jun 22 11:20:01 demoserver crond(pam_unix)[27500]: session
    opened for user
    root by (uid=0)
    Jun 22 11:20:01 demoserver crond(pam_unix)[27501]: session
    opened for user
    root by (uid=0)
    Jun 22 11:20:01 demoserver crond(pam_unix)[27501]: session
    closed for user
    root
    Jun 22 11:20:02 demoserver crond(pam_unix)[27500]: session
    closed for user
    root
    Jun 22 11:25:01 demoserver crond(pam_unix)[27545]: session
    opened for user
    root by (uid=0)
    Jun 22 11:25:02 demoserver crond(pam_unix)[27545]: session
    closed for user
    root
    Jun 22 11:30:01 demoserver crond(pam_unix)[27590]: session
    opened for user
    root by (uid=0)
    Jun 22 11:30:01 demoserver crond(pam_unix)[27591]: session
    opened for user
    root by (uid=0)
    Jun 22 11:30:02 demoserver crond(pam_unix)[27591]: session
    closed for user
    root
    Jun 22 11:30:02 demoserver crond(pam_unix)[27590]: session
    closed for user
    root
    -------------------------------------------

    I didn't see anything like this in the archives or bug
    reports. A google
    search didn't produce any hints either. Has anyone else seen
    this problem?

    I did try attaching the same initiator, only built on a
    core3 system,
    running on a core3 system and attaching to the same core4
    target and all
    was well.

    I am trying to figure it out now, but if anyone has a
    suggestion I would
    certainly appreciate it!

     
  • randy
    randy
    2005-06-23

    Logged In: YES
    user_id=1301816

    I posted the previous note without being logged in. Anyway I
    did the lsmod and do indeed have scsi_transport_iscsi loaded.
    here is an lsmod output
    -----------------------------------------
    Module Size Used by
    iscsi_sfnet 86544 2
    crc32c 5825 2
    libcrc32c 6721 1 crc32c
    nfsd 211265 9
    exportfs 10177 1 nfsd
    lockd 63721 2 nfsd
    parport_pc 31621 1
    lp 16585 0
    parport 39049 2 parport_pc,lp
    autofs4 22725 2
    rfcomm 46041 0
    l2cap 33857 5 rfcomm
    bluetooth 56645 4 rfcomm,l2cap
    sunrpc 139781 16 nfsd,lockd
    scsi_transport_iscsi 14145 1 iscsi_sfnet
    video 19909 0
    button 10577 0
    battery 13381 0
    ac 8773 0
    md5 8001 2
    ipv6 265857 18
    uhci_hcd 35409 0
    ehci_hcd 38093 0
    shpchp 96965 0
    i2c_i801 12621 0
    i2c_core 25409 1 i2c_i801
    3c59x 45545 0
    mii 9409 1 3c59x
    e1000 106029 0
    floppy 62421 0
    dm_snapshot 21349 0
    dm_zero 6081 0
    dm_mirror 26013 0
    ext3 133193 5
    jbd 61785 1 ext3
    dm_mod 59749 9 dm_snapshot,dm_zero,dm_mirror
    ata_piix 13253 0
    libata 49220 1 ata_piix
    3w_9xxx 37445 2
    sd_mod 22977 3
    scsi_mod 136457 5
    iscsi_sfnet,scsi_transport_iscsi,libata,3w_9xxx,sd_mod
    --------------------------

     
  • Logged In: NO

    maybe it is udev problem? I think the scsi.agent error
    messga is a hint. The linux-iscsi package is not really
    supported on all kernels like FCs. Hopefully, I can get some
    time to build some open-iscsi rpms for FC in the next week.

     
  • randy
    randy
    2005-07-07

    Logged In: YES
    user_id=1301816

    This is fixed. Thanks Kenji!
    Here is th link to his user list entry..
    http://sourceforge.net/mailarchive/forum.php?thread_id=7624421&forum_id=1783

    and here is the text reproduced..
    -----------------
    I found that FC4 doesn"t have one symbolic link that
    FC4-test3 and
    FC3 have.

    # ln -s /sbin/udevsend /etc/hotplug.d/default/10-udev.hotplug

    By this, the problem has been solved.

    Thanks!

    -- Kenji
    ------------------------------